logo
DATABASE RESOURCES PRICING ABOUT US

CVE-2011-3324

Description

The ospf6_lsa_is_changed function in ospf6_lsa.c in the OSPFv3 implementation in ospf6d in Quagga before 0.99.19 allows remote attackers to cause a denial of service (assertion failure and daemon exit) via trailing zero values in the Link State Advertisement (LSA) header list of an IPv6 Database Description message.


Affected Package


OS OS Version Package Name Package Version
ubuntu 10.04 quagga 0.99.15-1ubuntu0.3
ubuntu 10.10 quagga 0.99.17-1ubuntu0.2
ubuntu 11.04 quagga 0.99.17-4ubuntu1.1
ubuntu 11.10 quagga 0.99.18-2ubuntu0.1
ubuntu upstream quagga 0.99.19

Related